summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam Jorna <wraeth@gentoo.org>2017-04-12 13:23:22 +1000
committerSam Jorna <wraeth@gentoo.org>2017-04-12 13:24:33 +1000
commit211aa1421de2deb94d825f23402f261e1ec6e381 (patch)
treea9a703471341ee54292329a80747f4f36cc6cdad /net-irc
parentdev-perl/MongoDB: Bump to version 1.8.0 (diff)
downloadgentoo-211aa1421de2deb94d825f23402f261e1ec6e381.tar.gz
gentoo-211aa1421de2deb94d825f23402f261e1ec6e381.tar.bz2
gentoo-211aa1421de2deb94d825f23402f261e1ec6e381.zip
net-irc/quassel-irssi: add revbump to build against irssi-1.0
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'net-irc')
-rw-r--r--net-irc/quassel-irssi/Manifest1
-rw-r--r--net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-fix_build_with_irssi_1.0.patch38
-rw-r--r--net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-tls-ssl-rename.patch20
-rw-r--r--net-irc/quassel-irssi/quassel-irssi-0_p20170107-r1.ebuild63
4 files changed, 122 insertions, 0 deletions
diff --git a/net-irc/quassel-irssi/Manifest b/net-irc/quassel-irssi/Manifest
index ae077be6110..f1e008df245 100644
--- a/net-irc/quassel-irssi/Manifest
+++ b/net-irc/quassel-irssi/Manifest
@@ -1,3 +1,4 @@
DIST quassel-irssi-0_p20160412.tar.gz 30993 SHA256 fb4afa32932e1dedb32121034d2327e5f7368e7557a55ae17ff6673f7720c786 SHA512 258db507ef8127b9086cc2c6157b23475c86329cae2040b0247aedfbba1aac8b7198ee86e7d0065e2844a5cc7db882011fa82bc60ce67abed8b62b9df7509a26 WHIRLPOOL 25c456473ed320ec573a151333df29d496604bc940a63f8a69758f63f2f7c18da3203969cef116a10545275632db22f524d2ad2f1875699efc3922b804db6e4e
+DIST quassel-irssi-0_p20170107-r1.zip 42745 SHA256 d159b7db11dbd741fbbc1569f3583301fc36697d5efb770696bb7f8813ce2e67 SHA512 1d7e4e15af2d73fd7e581c517384604a41b68e3a5152dcaf2776a20bc15b459e4a5a7caf39a9c06a11e65ad5d9fea0aa81fa001caa9060f55b821e12b4fed814 WHIRLPOOL a74b6452fe0cece5b63e326dc10522a45d6bbb7a80554027af52f8a8dd9a690d862ab75201f98260eed841b473cfc10bbe21ee78ec878f808c19e69156944c5e
DIST quassel-irssi-0_p20170107.zip 42745 SHA256 d159b7db11dbd741fbbc1569f3583301fc36697d5efb770696bb7f8813ce2e67 SHA512 1d7e4e15af2d73fd7e581c517384604a41b68e3a5152dcaf2776a20bc15b459e4a5a7caf39a9c06a11e65ad5d9fea0aa81fa001caa9060f55b821e12b4fed814 WHIRLPOOL a74b6452fe0cece5b63e326dc10522a45d6bbb7a80554027af52f8a8dd9a690d862ab75201f98260eed841b473cfc10bbe21ee78ec878f808c19e69156944c5e
DIST quasselc-0_p20150406.tar.gz 25609 SHA256 45b76685b1ec76f22309897d2f99cfe4e43c35148cde4d119f5e65f6b0efe855 SHA512 53d3e4629feaa05eb64a24deaa2a1423acd6bb4ff8dabd83661ef9cf9b3d5f8317c8896a48cd6f3a374b8585b2986211c455fb8813458e2a086973a6b96c9d0e WHIRLPOOL d0c2f2dfc5bf6c2b9e91b00ad11dfabfe6d3ce34e6b727ce4f3613e537dd6d5044251098e51724043483756022cb7105a2b9014182cfad3547d0222faf48d451
diff --git a/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-fix_build_with_irssi_1.0.patch b/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-fix_build_with_irssi_1.0.patch
new file mode 100644
index 00000000000..ddd96ff3331
--- /dev/null
+++ b/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-fix_build_with_irssi_1.0.patch
@@ -0,0 +1,38 @@
+From 35555999f810f49b49ca2a6ec13d4f5b03503007 Mon Sep 17 00:00:00 2001
+From: Pierre-Hugues Husson <husson@archos.com>
+Date: Wed, 11 Jan 2017 10:24:08 +0100
+Subject: [PATCH] Fix build for irssi 1.0.0
+
+---
+ core/quassel-net.c | 10 +++++++---
+ 1 file changed, 7 insertions(+), 3 deletions(-)
+
+diff --git a/core/quassel-net.c b/core/quassel-net.c
+index 8a6eb55..9ab4829 100644
+--- a/core/quassel-net.c
++++ b/core/quassel-net.c
+@@ -117,6 +117,10 @@ static const char *get_nick_flags(SERVER_REC *server) {
+ return "";
+ }
+
++// IRSSI_ABI_VERSION was introduced in 0.8.18
++#if !defined(IRSSI_ABI_VERSION) || IRSSI_ABI_VERSION < 6
++# define use_tls use_ssl
++#endif
+ static SERVER_REC* quassel_server_init_connect(SERVER_CONNECT_REC* conn) {
+ Quassel_SERVER_CONNECT_REC *r = (Quassel_SERVER_CONNECT_REC*) conn;
+
+@@ -132,10 +136,10 @@ static SERVER_REC* quassel_server_init_connect(SERVER_CONNECT_REC* conn) {
+ ret->got = 0;
+ server_connect_ref(SERVER_CONNECT(conn));
+
+- if(conn->use_ssl) {
++ if(conn->use_tls)
+ ret->ssl = 1;
+- }
+- ret->connrec->use_ssl = 0;
++
++ ret->connrec->use_tls = 0;
+
+ ret->channels_join = quassel_irssi_channels_join;
+ ret->send_message = quassel_irssi_send_message;
diff --git a/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-tls-ssl-rename.patch b/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-tls-ssl-rename.patch
new file mode 100644
index 00000000000..b38154ea055
--- /dev/null
+++ b/net-irc/quassel-irssi/files/quassel-irssi-0_p20170107-tls-ssl-rename.patch
@@ -0,0 +1,20 @@
+diff -rupN quassel-irssi-7b034e3a8084d08e87869a96795ab59aa4901c74/core/irssi/network-openssl.c quassel-irssi-patched/core/irssi/network-openssl.c
+--- quassel-irssi-7b034e3a8084d08e87869a96795ab59aa4901c74/core/irssi/network-openssl.c 2017-01-19 14:07:24.000000000 -0500
++++ quassel-irssi-patched/core/irssi/network-openssl.c 2017-01-20 16:07:01.599114339 -0500
+@@ -437,11 +437,11 @@ GIOChannel *irssi_ssl_get_iochannel(GIOC
+ SSL *ssl;
+ SSL_CTX *ctx = NULL;
+
+- const char *mycert = server->connrec->ssl_cert;
+- const char *mypkey = server->connrec->ssl_pkey;
+- const char *cafile = server->connrec->ssl_cafile;
+- const char *capath = server->connrec->ssl_capath;
+- gboolean verify = server->connrec->ssl_verify;
++ const char *mycert = server->connrec->tls_cert;
++ const char *mypkey = server->connrec->tls_pkey;
++ const char *cafile = server->connrec->tls_cafile;
++ const char *capath = server->connrec->tls_capath;
++ gboolean verify = server->connrec->tls_verify;
+
+ g_return_val_if_fail(handle != NULL, NULL);
+
diff --git a/net-irc/quassel-irssi/quassel-irssi-0_p20170107-r1.ebuild b/net-irc/quassel-irssi/quassel-irssi-0_p20170107-r1.ebuild
new file mode 100644
index 00000000000..97d9cc73ba2
--- /dev/null
+++ b/net-irc/quassel-irssi/quassel-irssi-0_p20170107-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+# https://github.com/phhusson/quassel-irssi/pull/10 if accepted will
+# allow QuasselC to be installed as a separate package.
+
+# Commit Date: Sat, 7 Jan 2017 14:50:15 +0000
+COMMIT="f23e97a6188129cfae4c52f7e1a75940185454f4"
+
+DESCRIPTION="Irssi module to connect to Quassel cores."
+HOMEPAGE="https://github.com/phhusson/quassel-irssi/"
+SRC_URI="https://github.com/phhusson/${PN}/archive/${COMMIT}.zip -> ${PF}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# fails to build with irssi-1.0
+RDEPEND=">=net-irc/irssi-1.0.0"
+DEPEND="${RDEPEND}
+ net-libs/quasselc"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+# Patches for building against irssi-1.0, obtained from:
+# http://pkgs.fedoraproject.org/cgit/rpms/quassel-irssi.git/plain/35555999f810f49b49ca2a6ec13d4f5b03503007.patch
+# http://pkgs.fedoraproject.org/cgit/rpms/quassel-irssi.git/plain/quassel-irssi-tls-ssl-rename.patch
+PATCHES=(
+ "${FILESDIR}/${P}-fix_build_with_irssi_1.0.patch"
+ "${FILESDIR}/${P}-tls-ssl-rename.patch"
+)
+
+src_prepare() {
+ default
+
+ sed -e "s:pkg-config:$(tc-getPKG_CONFIG):" \
+ -e 's:^CFLAGS=.*:CFLAGS+=$(IRSSI_CFLAGS) $(QUASSELC_FLAGS):' \
+ -i "${S}/core/Makefile" || die
+
+ sed -e 's:gcc -shared:$(CC) -shared:' -i "${S}/core/Makefile" || die
+
+ tc-export CC
+ export SYSTEM_QUASSELC=1
+}
+
+src_compile() {
+ emake IRSSI_LIB="${ROOT}usr/$(get_libdir)/irssi" -C core
+}
+
+src_install() {
+ emake DESTDIR="${D}" LIBDIR="${ROOT}usr/$(get_libdir)" -C core install
+ default
+}
+
+pkg_postinst() {
+ elog "Note that this requires additional configuration of your irssi client. See"
+ elog " ${ROOT}usr/share/doc/${P}/README.md.bz2'"
+ elog "for instructions."
+}